#! /bin/sh

sleep 2
gnmic -a "172.100.20.13:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=38e0588b-6a2d-42c9-85a0-887cc877c299]' --update-file ./config/kms03-a.json
gnmic -a "172.100.20.12:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=38e0588b-6a2d-42c9-85a0-887cc877c299]' --update-file ./config/kms02-a.json
gnmic -a "172.100.20.10:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=38e0588b-6a2d-42c9-85a0-887cc877c299]' --update-file ./config/kms01-a.json

sleep 2
gnmic -a "172.100.20.13:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=f6a575e5-c7f9-4765-8890-134ae5b8f451]' --update-file ./config/kms03-b.json
gnmic -a "172.100.20.11:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=f6a575e5-c7f9-4765-8890-134ae5b8f451]' --update-file ./config/kms02-b.json
gnmic -a "172.100.20.10:7030" -u admin -p admin --insecure -e JSON_IETF set --update-path 'key-routing-sessions/routing-sessions[path-id=f6a575e5-c7f9-4765-8890-134ae5b8f451]' --update-file ./config/kms01-b.json


sleep 2
# initiating a key request from kms01
curl -X POST -H "Content-Type: application/json" -d '{
  "receiving_CKMS_ID": "968fd594-b0e7-41f0-ba4b-de259047a933",
  "request_ID": "request_ID-1234",
  "key_properties": {
      "number": 1,
      "key_length": 256,
      "timeout": 20,
      "TTL": 24
    }
}' 'http://172.100.20.10:9696/api/v1/keys/ksa_key_req'

# initiating a key request from kms04
curl -X POST -H "Content-Type: application/json" -d '{
  "receiving_CKMS_ID": "0ff33c82-7fe1-482b-a0ca-67565806ee4b",
  "request_ID": "request_ID-5678",
  "key_properties": {
      "number": 1,
      "key_length": 256,
      "timeout": 20,
      "TTL": 24
    }
}' 'http://172.100.20.13:9696/api/v1/keys/ksa_key_req'

docker-compose logs akms-receiver01
docker-compose logs akms-receiver02
