#!/bin/sh

if [ -f artifacts/gosdnc ] && [ "$(date -r artifacts/gosdnc +%Y-%m-%d)" = "$(date +%Y-%m-%d)" ]; then
    echo "File artifacts/gosdnc already exists and was installed today. Skipping download. If you want to download it again, delete the file artifacts/gosdnc and start this script again."
else
    echo "Downloading gosdnc..."
    wget -O artifacts_gosdn.zip "https://code.fbi.h-da.de/danet/gosdn/-/jobs/artifacts/master/download?job=build-all-binaries"
    unzip -o artifacts_gosdn.zip
    rm artifacts_gosdn.zip
    rm artifacts/gosdn artifacts/venv-manager
    touch artifacts/gosdnc
    echo "gosdnc installed"
fi
